Subject: Re: bug#10113: 24.0.91; Isearch & `M-e'

From: Dani Moncayo <[email-masked]>
Date: Wed, 23 Nov 2011 15:56:32 +0100

>> IOW, after editing the search string in the minibuffer, the Isearch
>> should be re-started from the beginning, using the new (edited) search
>> string.
>
> That wouldn't always result in the same behavior as what DEL does
> (think of the case where you do C-s buffe C-s C-s r C-s M-e DEL RET).
> Making it really reproduce the behavior of DEL would require a good bit
> more care.
> And if we do try to make it behave like you want when the result of M-e
> is a prefix of the original string, that will make it behave
> inconsistently with the other cases when the result is not a prefix.

Actually I didn't think of making "M-e DEL RET" equivalent to "DEL" in
all cases.

I just think that, after editing the search string in the minibuffer,
the search should be re-started from the beginning.  Not doing so
makes little sense to me.  Why continue from a point that was reached
using a different search string?

-- 
Dani Moncayo